Bug 15918 - Obsolete file datatables-strings.inc can be removed
Summary: Obsolete file datatables-strings.inc can be removed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 15920
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 17:02 UTC by Owen Leonard
Modified: 2016-12-05 21:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15918 - Obsolete file datatables-strings.inc can be removed (3.79 KB, patch)
2016-02-25 19:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15918 - Obsolete file datatables-strings.inc can be removed (3.88 KB, patch)
2016-04-17 08:56 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15918: (followup) Correct comment in koha-tmpl/opac-tmpl/bootstrap/js/datatables.js (1.09 KB, patch)
2016-04-17 09:07 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15918 - Obsolete file datatables-strings.inc can be removed (3.95 KB, patch)
2016-04-18 10:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15918: (followup) Correct comment in koha-tmpl/opac-tmpl/bootstrap/js/datatables.js (1.15 KB, patch)
2016-04-18 10:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-02-25 17:02:56 UTC
The include file datatables-strings.inc is no longer necessary. Its contents are now in datatables.inc. The last few references to it can be removed and the file deleted.
Comment 1 Owen Leonard 2016-02-25 19:51:46 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-03-16 15:28:44 UTC
There seems to be one more comment containing datatables-strings.inc


git grep 'datatables-strings.inc'

koha-tmpl/opac-tmpl/bootstrap/js/datatables.js:// MSG_DT_* variables comes from datatables-strings.inc
Comment 3 Marc Véron 2016-04-17 08:56:29 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2016-04-17 09:07:58 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-04-18 10:07:55 UTC
Created attachment 50318 [details] [review]
Bug 15918 - Obsolete file datatables-strings.inc can be removed

The include file datatables-strings.inc is no longer necessary. Its
contents are now in datatables.inc. This patch corrects two references
in comments to datatables-strings.inc (replacing it with datatables.inc)
and removes the obsolete file.

To test, apply the patch and load any page with a DataTables-enabled
table configured to show pagination buttons, e.g. Saved Reports.
Pagination labels like "Next," "Previous," and "Showing X of X..."
should be correct.

Search the codebase to confirm that no references remain for
datatables-strings.inc.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-04-18 10:07:59 UTC
Created attachment 50319 [details] [review]
Bug 15918: (followup) Correct comment in koha-tmpl/opac-tmpl/bootstrap/js/datatables.js

This followup changes comment in koha-tmpl/opac-tmpl/bootstrap/js/datatables.js line 3 to
MSG_DT_* variables comes from datatables.inc

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2016-04-18 10:08:28 UTC
(In reply to Owen Leonard from comment #0)
> The include file datatables-strings.inc is no longer necessary. Its contents
> are now in datatables.inc. The last few references to it can be removed and
> the file deleted.

Not sure it has ever been used actually.
Comment 8 Kyle M Hall 2016-04-29 13:33:45 UTC
Pushed to master for the May 2016 release. Thanks Owen!